@page "/chat"

@using AntDesign
@using AntDesign.TableModels
@using System.Collections.Generic
@using System.ComponentModel
@using System.Linq
@using System.Text;
@using System.Net;
@using FIOWebServer.Models
@using FIOWebServer.JsonPayloads
@using Newtonsoft.Json
@using CurrieTechnologies.Razor.Clipboard

@inject ClipboardService Clipboard
@inject IMatToaster Toaster
@inject NavigationManager NavManager

@implements IDisposable

<h1>Chat</h1>

<FIOWebServer.Components.LoadingWrapper @bind-ProgressCount="ProgressCount" TotalProgress="1">
@if (String.IsNullOrWhiteSpace(selectedChannel))
{
    <em>Select a channel</em><br/>
}
    <Select style={{ width: 600 }} DataSource="@channelOptionsPayload" @bind-Value="@selectedChannel" LabelName="@nameof(JsonPayloads.ChatListItem.DisplayName)" ValueName="@nameof(JsonPayloads.ChatListItem.DisplayName)" Placeholder="Select a Channel" EnableSearch AllowClear OnSelectedItemChanged="(ChatListItem t) => OnSelectedChannelChanged(t)" />
<br/><br/><br/><br/>
@if (!String.IsNullOrWhiteSpace(selectedChannel))
{
    if (chatMessageHtml == null)
    {
        <Spin/>
    }
    else
    {
        <div style="border: 2px solid; padding: 20px; width: 800px; height: 600px; resize: both; overflow: auto; min-width: 200px; min-height: 100px">
            @((MarkupString)chatMessageHtml)
        </div>
    }
}
</FIOWebServer.Components.LoadingWrapper>